# QWindow Class Reference

The QWindow class is reserved for future extensions. More...

`#include <qwindow.h>`

Inherits QWidget.

List of all member functions.

## Public Members

- QWindow ( QWidget * parent=0, const char * name=0, WFlags f=0 )
- ~QWindow ()

## Detailed Description

The QWindow class is reserved for future extensions.

This class is not yet finished. It will contain intelligent handling of menus etc. in a future Qt release.

## Member Function Documentation

### QWindow::QWindow ( QWidget * parent=0, const char * name=0, WFlags f=0 )

Constructs a window named name, which will be a child widget of parent.

The widget flags f should normally be set to zero unless you know what you are doing.

These arguments are sent to the QWidget constructor.

### QWindow::~QWindow ()

Destroys the window.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qwindow.h: 1998/08/21
- qwindow.cpp: 1998/07/03